/* mode-switch.c
 *
 * Accessing the mode-switch from ALIX Boards
 *
 * The status of the switch can be accessed at I/O-Port 0x61b0 Bit 8,
 * 0 means switch is pressed.
 */

#include <sys/io.h>
#include <stdio.h>
#include <stdlib.h>

#define MODESWITCHPORT 0x61b0
#define MODESWITCHMASK 0x100

int main() {

	if (ioperm(MODESWITCHPORT,2,1)) {
		perror("ioperm");
		exit(255);
	}
	int status = 0 == (inw(MODESWITCHPORT) & MODESWITCHMASK);

	exit(status ? 0 : 1);
}
